//variables
$color_principal: #3fc1be;
$letra_cabecera: white;

$color-cuerpo: #f2f2f2;
$color_cuerpo2: white;
$color_border:#767676;
$hover_svg: #3fc1be;

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
textarea{
	display: block;
}
body{
	font-family: Helvetica, sans-serif;
	font-size: 1em;
}


/* HEADER */
.contenedor-2{
	width: 100%;
}
.contenedor-1{
	height: 100vh;
	background-color: $color_cuerpo;
	.contenedor-header{
		&:before{
    		box-shadow:  0 3px 12px rgba(0,0,0,.28);
    		content: "";
    		height: 50px;
    		position: absolute;
    		width: 100%;
		}
	}

	#header{
		background-color: $color_principal;
		color: $letra_cabecera;
		display: flex;
		justify-content: space-between;
		align-items: center;
		padding: 10px;
		height: 50px;

		

		h1{
			margin-left: 30px;

			a{
				display: flex;
				align-items:center;

				img{
					height: 22px,
				}
			}
		}
		
		.header-informacion{
			display: flex;
			margin-right: 30px;
			align-items: center;

			.informacion-foto{
				img{
					display: block;
					border-radius: 50%;;

				}
			}
			.informacion-user{
				font-size: 0.8em;
				text-align: right;
				margin-right: 10px;

				p:first-child{
					margin-bottom: 1px;
				}

			}
		}

	}
}

/* CUERPO*/
.section-total{
	background-color: $color-cuerpo;
	display: flex;
	font-size: 0.9em;
	justify-content: space-between;
	padding:20px;
	margin: 0 20px;
	.section-total-1{
		width: 58%;

		
		.informacion-datos{
			background-color: $color-cuerpo;
			.informacion-paciente{
				background-color: $color_cuerpo2;
				box-shadow: 3px 3px 12px rgba(0,0,0,.28);
				
				.informacion-paciente-1{
					border-bottom: 1px solid  rgba(0,0,0,.18);
					padding: 7px 10px;

					p{
						font-size: 0.8em;
						font-weight: bold;
						padding-left: 30px;
					}

				}

				.informacion-paciente-2{
					display: flex;
					justify-content:space-between;
					padding: 10px 20px;

					.cuerpo{
						width: 200px;
						margin: 0px 5px;
						.logo-description{
							height: 25px;
							margin: 1px 0px;
							div{
								display: flex;
								align-items:flex-end;
								padding: 3px 0;
								img{
									margin-bottom: 2px;
								}

								input{
									border: none;
									background-color: $color_cuerpo2;
									padding-left: 12px ;
									&:focus{
										outline: none;
									}
									&:disabled{
										color: black;
									}
								}
							}
							
						}
					}
				}
			}

			.informacion-historial{
				background-color: $color_cuerpo2;
				margin : 15px 0px;
				box-shadow: 3px 3px 12px rgba(0,0,0,.28);
				.informacion-historial-1{
					font-size: 0.8em;
					padding: 7px 10px;
					display: flex;
					justify-content:space-between;
					border-bottom: 1px solid  rgba(0,0,0,.18);
					p{
						font-weight: bold;
						padding-left: 30px;
					}
					.ordenar{
						display: flex;
						justify-content: center;
						transition: all 0.1s linear 0s;
						padding-right: 15px;
							
						&:hover{
							fill: $hover_svg;
							cursor: pointer;
							transform: scale(1.05, 1.02);
						}	
						
						p{	
							margin-top: 2px;
							font-weight: normal;
							padding: 0px 0px 0px 12px;

						}

					}
				}

				.informacion-historial-2{
					padding: 0 10px;

					.tabla-historial{
						width: 100%;
						font-size: 0.9em;
						thead{
							width: 100%;
							display: block;	
							
							border-bottom: 1px solid  rgba(0,0,0,.18);
							tr{	
								width: 100%;
								display: flex;
								justify-content: space-between;
								padding: 7px 0;
								th{
									text-align: left;
									font-weight: bolder;
								}
								th:nth-child(1){
									width: 10%;
								}
								th:nth-child(2){
									width: 29%;
								}
								th:nth-child(3){
									width: 29%;
								}
								th:nth-child(4){
									width: 29%;
								}
							}
						}
						tbody{
							display: block;
							width: 100%;
							margin-bottom: 5px;
							tr{
								width: 100%;
								display: flex;
								justify-content: space-between;
								padding: 5px 0;

								td{
									text-align: left;

									&:nth-child(1){
									width: 10%;
									}
									&:nth-child(2){
										width: 29%;
									}
									&:nth-child(3){
										width: 29%;
									}
									&:nth-child(4){
										width: 29%;
									}
								}								
							}
						}
					}
				}
			}	
			.informacion-detalle{
				background-color: $color_cuerpo2;
				display: flex;
				flex-flow: column wrap;
				box-shadow: 3px 3px 12px rgba(0,0,0,.28);
				.informacion-detalle-1{
					width: 100%;
					padding: 7px 10px;
					border-bottom: 1px solid  rgba(0,0,0,.18);
					p{
						padding-left: 30px;
						font-weight: bold;
						font-size: 0.85em;
						
					}
				}
				.cont-info-2-3{
					padding: 5px 10px;
					.informacion-detalle-2{
						margin-bottom: 7px;
						display: flex;
						div{
							width: 21%;
							margin: 0px 2%;
							display: flex;
							align-items: center;
							justify-content: flex-start;
							border-bottom:2px solid $color_border;
							height: 30px;

							img{

							}

							input{
								border:none;
								min-width: 70px;
								margin-left: 13px;
							

								&:focus{
									outline: none;

								}
							}
						}
					}

					.informacion-detalle-3{
						margin: 5px 0px 5px 0px;

						textarea{
							margin: 7px 0px;
							resize:none;
							overflow-y:scroll;
							padding: 5px;
							width: 100%;
							&:nth-child(1){
								margin-top: 12px;
							}

						}
					}
				}
				
			}
		
		}
	}

	.section-total-2{
		width: 40%;
		.cont-videollamada{

			box-shadow: 3px 3px 12px rgba(0,0,0,.28);
			.cont-videollamada-2{
					background-color: $color_cuerpo2;
				.videollamada-header{
					position: relative;
					z-index: 1;
					padding: 2px;
					display: flex;
					justify-content: space-between;
					align-items:center;
					height: 25px;
					background-color: rgba(0,0,0,.7);
					margin-bottom: -25px;
					color: white;
					p{
						margin-left: 10px;
						font-size: 0.9em;
					}
					div{
						margin-right: 10px;
						display: flex;
						i{
							font-size: 1.2em;
						}
					}
				}
				.videollamada{
					width: 100%;
					max-width: 100%;
					background-color: skyblue;
					position: relative;
			
				}

				.videollamada-footer{
					position: relative;
					z-index: 1;
					margin-top: -53px;
					height: 50px;
					display: flex;
					justify-content:space-between;

					.videollamada-footer-1{
						color: white;
						padding-left: 15px;
						text-align: center;
					}
					.videollamada-footer-2{
						color: white;
						display: flex;
						align-items:center;
						div{
							border-radius: 50%;
							background-color: rgba(255,255,255,.3);
							margin: 2.5px;
							cursor: pointer;
							padding: 3px;
							display: flex;
							align-items:center;
							
							&:nth-child(2){
								background-color: red;
							}

							i{	
								font-size: 1.2em;
								&:nth-child(1){
								color: white;
								}
								&:nth-child(2){
								color: white;
								}
								&:nth-child(3){
								color: white;
								}
							}						
						}
					
					}
					.videollamada-footer-3{

						video{
							background-color: red;
						}
						
					}
				}				
			}

			.galeria{
					padding: 5px 10px;
					background-color: $color-cuerpo2;
					.galeria-f{
						
						padding: 0 5px;
						div{
							display: flex;
							align-items: center;
							overflow: scroll;
							
							height: 100px;
							img{
								margin: 5px;
								max-width: 100%;
							}
						}
						
					}
			}
		}

		.cont-recomendaciones{
			margin-top: 15px;
			background-color: $color-cuerpo2;
			box-shadow: 3px 3px 12px rgba(0,0,0,.28);

			.cont-recomendaciones-titulo{
				border-bottom: 1px solid rgba(0, 0, 0, 0.18);
				padding:7px 10px;
				p{
					padding-left: 20px;
				    font-weight: bold;
				    font-size: 0.9em;
				}
			}

			.cont-recomendaciones-mensaje{
				padding: 10px;
				display: flex;
				flex-direction: column;
				align-items: flex-end;
				textarea{
					width: 100%;
					resize: none;
					padding: 5px;
					margin: 5px 0px;
				}
				input{
					padding: 10px 20px;
					margin: 5px 0px;
					background-color: $color_principal;
					border:none;
					color: white;
					box-shadow: 3px 3px 12px rgba(0,0,0,.28);
				}
			}
		}
	}

	.border-bottom{
		border-bottom: 2px solid $color_border;
	}
}

@media screen and (max-width: 1110px) {

	.informacion-paciente-2{
		flex-wrap:wrap;
	}
	
}

@media screen and (max-width: 480px){
	.contenedor-1{ 
		#header {
			h1{
				margin-left: 10px;
			}
		}

	#header{
		.header-informacion{
			margin-right: 15px;
		}
	}

	}
}